#!/bin/bash
#
# Egyszeru script valamennyi, AwStats konfiguracioval rendelkezo host 
# targyevi es targyhavi statisztika weboldalainak  frissitesere.
# kovacs.zoltan@mimoza.hu 2005-03-04
# 
# 2008-03-05 hibas havi utolso napok javitasa

awstats_build="/usr/local/sbin/awstats/awstats_buildmonthpage.sh"
awstats_bmenu="/usr/local/sbin/awstats/awstats_buildmenupages.sh"
AWSTATS_CONFIG_DIR="/etc/awstats"

STATS_ROOT_DIR=$1			# A statisztikak alapkonyvtara
YEAR=`date '+%Y'`			# Targyev
YEAR_1=`date '+%Y' -d "1 year ago"`	# Elozo ev
MONTH=`date '+%m'`			# Targyho
MONTH_1=`date '+%m' -d "1 month ago"`	# Elozo ho
DAY=`date '+%d'`			# Targynap

# Az AwStats konfiguraciok alapjan sorba veszi valamennyi, meglevo hostot.

if [ -d "$STATS_ROOT_DIR" ]; then
    cd $AWSTATS_CONFIG_DIR ; ls -1 awstats.*.conf | \
    sed "s/^awstats\.//" | sed "s/\.conf\$//" | while read SRVNM

# Frissiti a targyevi es a targyhavi statikus lapokat, valamint az indexet.

    do
	if [ ! -z "$SRVNM" ]; then
	    $awstats_build $STATS_ROOT_DIR $SRVNM $YEAR
	    $awstats_build $STATS_ROOT_DIR $SRVNM $YEAR $MONTH
# 	    Minden ho elso napjan az elozo honap, minden ev elso napjan az elozo ev 
# 	    statisztikajat is frissiteni kell.
	    if [ $DAY -eq 1 ]; then
	    	$awstats_build $STATS_ROOT_DIR $SRVNM $YEAR $MONTH_1
		if [ $MONTH -eq 1 ]; then
	    	    $awstats_build $STATS_ROOT_DIR $SRVNM $YEAR_1
		fi
	    fi
	    $awstats_bmenu $STATS_ROOT_DIR/$SRVNM
	fi
    done

# Rossz parameterezes eseten emlekezteto.

else
    echo "Usage: $0 path_to_stats_rootdir"
fi
